Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XSGrammarBucket

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSGrammarBucket

Deprecated. please use JDK supplied XML parsers and transformers

public class XSGrammarBucket
extends Object

A class used to hold the internal schema grammar set for the current instance

Constructor Summary
`XSGrammarBucket()` Deprecated.

Method Summary
`SchemaGrammar` | `getGrammar(String namespace)` Deprecated. Get the schema grammar for the specified namespace
`SchemaGrammar[]` | `getGrammars()` Deprecated. get all grammars in the registry
`void` | `putGrammar(SchemaGrammar grammar)` Deprecated. Put a schema grammar into the registry This method is for internal use only: it assumes that a grammar with the same target namespace is not already in the bucket.
`boolean` | `putGrammar(SchemaGrammar grammar, boolean deep)` Deprecated. put a schema grammar and any grammars imported by it (directly or inderectly) into the registry.
`void` | `reset()` Deprecated. Clear the registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSGrammarBucket

    public XSGrammarBucket()

  Deprecated.

Method Detail

### getGrammar

    public SchemaGrammar getGrammar(String namespace)

  Deprecated.
  Get the schema grammar for the specified namespace

  Parameters:
    `namespace` -
  Returns:
    SchemaGrammar associated with the namespace

### getGrammars

    public SchemaGrammar[] getGrammars()

  Deprecated.
  get all grammars in the registry

  Returns:
    an array of SchemaGrammars.

### putGrammar

    public void putGrammar(SchemaGrammar grammar)

  Deprecated.
  Put a schema grammar into the registry This method is for internal use only: it assumes that a grammar with the same target namespace is not already in the bucket.

  Parameters:
    `grammar` - the grammar to put in the registry

### putGrammar

    public boolean putGrammar(SchemaGrammar grammar,
                              boolean deep)

  Deprecated.
  put a schema grammar and any grammars imported by it (directly or inderectly) into the registry. when a grammar with the same target namespace is already in the bucket, and different from the one being added, it's an error, and no grammar will be added into the bucket.

  Parameters:
    `grammar` - the grammar to put in the registry
    `deep` - whether to add imported grammars
  Returns:
    whether the process succeeded

### reset

    public void reset()

  Deprecated.
  Clear the registry. REVISIT: update to use another XSGrammarBucket

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD